package com.example.testktor.screen.main

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import com.example.testktor.SneakerShop
import com.example.testktor.ViewModel.MainViewModel
import com.example.testktor.method.main.SneakerSelection
import com.example.testktor.method.main.TopNavigationBar
import com.example.testktor.method.main.TopWriteNavigationBar

@Composable
fun SearchScreen(
    query: String,
    viewModel: MainViewModel,
    navController: NavController
) {
    val sneakers = viewModel.sneakersCategories.sneakers
    val filtered = sneakers.filter {
        it.name.contains(query, ignoreCase = true)
    }

    Column(modifier = Modifier.padding(16.dp)) {
        TopWriteNavigationBar(navController, "Поиск", viewModel)
        SneakerSelection(
            sneakers = filtered.map { SneakerShop(it, false, false) },
            viewModel = viewModel
        )
    }
}